rb_method_entry_struct Struct Reference

`#include <method.h>`

## Data Fields

rb_method_flag_t | flag
char | mark
rb_method_definition_t * | def
ID | called_id
VALUE | klass

## Detailed Description

Definition at line 75 of file method.h.

## Field Documentation

ID rb_method_entry_struct::called_id

Definition at line 79 of file method.h.

Referenced by mnew(), rb_iterate(), rb_method_call_status(), rb_method_entry_make(), rb_raise_jump(), vm_backtrace_each(), vm_call_bmethod(), vm_call_cfunc(), and vm_exec().

rb_method_definition_t* rb_method_entry_struct::def

Definition at line 78 of file method.h.

Referenced by add_opt_method(), check_cfunc(), clone_method(), control_frame_dump(), frame_func_id(), mark_method_entry(), method_clone(), method_get_def(), method_hash(), method_inspect(), method_unbind(), mnew(), rb_add_method(), rb_alias(), rb_free_method_entry(), rb_get_alloc_func(), rb_method_boundp(), rb_method_call_status(), rb_method_entry_arity(), rb_method_entry_eq(), rb_method_entry_make(), rb_method_entry_set(), rb_mod_modfunc(), rb_obj_basic_to_s_p(), rb_thread_current_status(), rb_thread_method_id_and_class(), rb_vm_check_redefinition_opt_method(), remove_method(), umethod_bind(), vm_backtrace_each(), vm_call0(), vm_call_bmethod(), vm_call_cfunc(), vm_call_method(), vm_call_super(), vm_search_superclass(), and vm_setup_method().

rb_method_flag_t rb_method_entry_struct::flag

Definition at line 76 of file method.h.

Referenced by check_definition(), check_funcall(), clone_method(), method_entry_i(), mnew(), rb_alias(), rb_export_method(), rb_method_basic_definition_p(), rb_method_boundp(), rb_method_call_status(), rb_method_entry_make(), and vm_call_method().

VALUE rb_method_entry_struct::klass

Definition at line 80 of file method.h.

Referenced by mark_method_entry(), method_inspect(), method_owner(), mnew(), rb_export_method(), rb_iterate(), rb_method_call_status(), rb_method_entry_make(), rb_raise_jump(), rb_thread_current_status(), rb_thread_method_id_and_class(), vm_call0(), vm_call_bmethod(), vm_call_cfunc(), vm_call_method(), vm_call_super(), vm_exec(), and vm_search_superclass().

char rb_method_entry_struct::mark

Definition at line 77 of file method.h.

Referenced by mnew(), rb_gc_mark_unlinked_live_method_entries(), rb_method_entry_make(), and rb_sweep_method_entry().

The documentation for this struct was generated from the following file:

- method.h